    The XSPEC kerrconv convolution model: accretion disk line shape with BH spin as free parameter

xskerrconv
The xskerrconv model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xskerrconv", "mdl")
>>> print(mdl)

Create a component of the xskerrconv model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Index1 frozen 3 -10 10 mdl.Index2 frozen 3 -10 10 mdl.r_br_g frozen 6 1 400 mdl.a thawed 0.998 0 0.998 mdl.Incl thawed 30 0 90 deg mdl.Rin_ms frozen 1 1 400 mdl.Rout_ms frozen 400 1 400

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Index1
The emissivity index for the inner disk.
Index2
The emissivity index for the outer disk.
r_br_g
The break radius separating the inner and outer portions of the disk, in gravitational radii.
a
The dimensionless black hole spin.
Incl
The disk inclination angle, in degrees. A face-on disk has Incl=0.
Rin_ms
The inner radius of the disk, in units of the radius of marginal stability.
Rout_ms
The outer radius of the disk, in units of the radius of marginal stability.

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelKerrconv.html

Changes in CIAO

The first two parameters have been renamed `Index1` and `Index2` to match the XSPEC definition (they had been called `Index` and `Index1` ).

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023